      function stud_pd(t) ! bernd berg mar 15 2002.
c student probability density.
      include '../../libs/fortran/implicit.sta'
      include '../../libs/fortran/constants.par'
      common /parstud/ nf
      f=nf*one
      fhalf=half*f
      sf=sqrt(f)
      stud_pd=(one+(t/sf)**2)**(-(f+one)/two)/sf/beta(half,fhalf)
      return
      end   
